Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.opentrac
Class OpenTracTypes

    java.lang.Object
      org.ka2ddo.opentrac.OpenTracTypes

    public class OpenTracTypes

extends java.lang.Object

The definitions of the type codes used to identify elements of an OpenTRAC message, as officially documented in the OpenTRAC protocol specification document.

Field Summary
`static byte` | `MAX_NETWORKTYPE`
`static byte` | `NETWORKTYPE_APRSIS` Network is tunneled through the Internet.
`static byte` | `NETWORKTYPE_HF` Network is over RF in the HF (short-wave) bands.
`static byte` | `NETWORKTYPE_UHF` Network is over RF in the UHF bands.
`static byte` | `NETWORKTYPE_VHF` Network is over RF in the VHF bands.
`static int` | `OPENTRAC_ACCELERATION`
`static int` | `OPENTRAC_AIRCRAFT_REGISTRATION`
`static int` | `OPENTRAC_ANGULAR_ACCELERATION`
`static int` | `OPENTRAC_ANGULAR_VELOCITY`
`static int` | `OPENTRAC_AREA`
`static int` | `OPENTRAC_ATTENTION`
`static int` | `OPENTRAC_AVAILABLE_NETWORKS`
`static int` | `OPENTRAC_CAPACITANCE`
`static int` | `OPENTRAC_CONDUCTANCE`
`static int` | `OPENTRAC_COUNTRYCODE`
`static int` | `OPENTRAC_COURSE_SPEED`
`static int` | `OPENTRAC_DATA_RATE`
`static int` | `OPENTRAC_DATA_STORAGE`
`static int` | `OPENTRAC_DISPLAYNAME`
`static int` | `OPENTRAC_DISTANCE`
`static int` | `OPENTRAC_ELECTRIC_CHARGE`
`static int` | `OPENTRAC_ELECTRIC_CURRENT`
`static int` | `OPENTRAC_ELECTRIC_POTENTIAL`
`static int` | `OPENTRAC_EMERGENCY`
`static int` | `OPENTRAC_ENERGY`
`static int` | `OPENTRAC_ENTITYID`
`static int` | `OPENTRAC_FLOW_RATE`
`static int` | `OPENTRAC_FORCE`
`static int` | `OPENTRAC_FREEFORM_COMMENT`
`static int` | `OPENTRAC_FREQUENCY`
`static int` | `OPENTRAC_GPS_DATA_QUALITY`
`static int` | `OPENTRAC_HAZMAT_INVENTORY`
`static int` | `OPENTRAC_HEARDBY_LIST`
`static int` | `OPENTRAC_LUMINOUS_FLUX`
`static int` | `OPENTRAC_MAIDENHEAD_LOCATOR`
`static int` | `OPENTRAC_MAPSYMBOL`
`static int` | `OPENTRAC_MASS`
`static int` | `OPENTRAC_MASS_DENSITY`
`static int` | `OPENTRAC_NULL`
`static int` | `OPENTRAC_ORIGINATINGSTATION`
`static int` | `OPENTRAC_PATH_TRACE`
`static int` | `OPENTRAC_PLANE_ANGLE`
`static int` | `OPENTRAC_POSITION`
`static int` | `OPENTRAC_POSITION_AMBIGUITY`
`static int` | `OPENTRAC_POWER`
`static int` | `OPENTRAC_PRESSURE`
`static int` | `OPENTRAC_QUANTITY`
`static int` | `OPENTRAC_RADIO_CAPABILITIES`
`static int` | `OPENTRAC_RAINFALL_HISTORY`
`static int` | `OPENTRAC_RIVERFLOW_GAUGE`
`static int` | `OPENTRAC_SEQUENCENUM`
`static int` | `OPENTRAC_SHAPE`
`static int` | `OPENTRAC_SPECIFIC_ENERGY`
`static int` | `OPENTRAC_STORM_REPORT`
`static int` | `OPENTRAC_TEMPERATURE`
`static int` | `OPENTRAC_TIME`
`static int` | `OPENTRAC_TIMESTAMP`
`static int` | `OPENTRAC_VELOCITY`
`static int` | `OPENTRAC_VISCOSITY`
`static int` | `OPENTRAC_VOLUME`
`static int` | `OPENTRAC_WAYPOINTNAME`
`static int` | `OPENTRAC_WEATHER_SURFACE_OBS`

Method Summary
`static java.lang.String` | `getName(int type)` Get the localized String naming the OpenTRAC element type specified.
`static java.lang.String` | `getNetworkTypeName(byte networkId)` Return the localized network type name for the network type code provided.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPENTRAC_SEQUENCENUM

    public static final int OPENTRAC_SEQUENCENUM

See Also:
  Constant Field Values

### OPENTRAC_ORIGINATINGSTATION

    public static final int OPENTRAC_ORIGINATINGSTATION

See Also:
  Constant Field Values

### OPENTRAC_ENTITYID

    public static final int OPENTRAC_ENTITYID

See Also:
  Constant Field Values

### OPENTRAC_POSITION

    public static final int OPENTRAC_POSITION

See Also:
  Constant Field Values

### OPENTRAC_TIMESTAMP

    public static final int OPENTRAC_TIMESTAMP

See Also:
  Constant Field Values

### OPENTRAC_FREEFORM_COMMENT

    public static final int OPENTRAC_FREEFORM_COMMENT

See Also:
  Constant Field Values

### OPENTRAC_COURSE_SPEED

    public static final int OPENTRAC_COURSE_SPEED

See Also:
  Constant Field Values

### OPENTRAC_POSITION_AMBIGUITY

    public static final int OPENTRAC_POSITION_AMBIGUITY

See Also:
  Constant Field Values

### OPENTRAC_COUNTRYCODE

    public static final int OPENTRAC_COUNTRYCODE

See Also:
  Constant Field Values

### OPENTRAC_DISPLAYNAME

    public static final int OPENTRAC_DISPLAYNAME

See Also:
  Constant Field Values

### OPENTRAC_WAYPOINTNAME

    public static final int OPENTRAC_WAYPOINTNAME

See Also:
  Constant Field Values

### OPENTRAC_MAPSYMBOL

    public static final int OPENTRAC_MAPSYMBOL

See Also:
  Constant Field Values

### OPENTRAC_PATH_TRACE

    public static final int OPENTRAC_PATH_TRACE

See Also:
  Constant Field Values

### OPENTRAC_HEARDBY_LIST

    public static final int OPENTRAC_HEARDBY_LIST

See Also:
  Constant Field Values

### OPENTRAC_AVAILABLE_NETWORKS

    public static final int OPENTRAC_AVAILABLE_NETWORKS

See Also:
  Constant Field Values

### OPENTRAC_MAIDENHEAD_LOCATOR

    public static final int OPENTRAC_MAIDENHEAD_LOCATOR

See Also:
  Constant Field Values

### OPENTRAC_RADIO_CAPABILITIES

    public static final int OPENTRAC_RADIO_CAPABILITIES

See Also:
  Constant Field Values

### OPENTRAC_GPS_DATA_QUALITY

    public static final int OPENTRAC_GPS_DATA_QUALITY

See Also:
  Constant Field Values

### OPENTRAC_AIRCRAFT_REGISTRATION

    public static final int OPENTRAC_AIRCRAFT_REGISTRATION

See Also:
  Constant Field Values

### OPENTRAC_WEATHER_SURFACE_OBS

    public static final int OPENTRAC_WEATHER_SURFACE_OBS

See Also:
  Constant Field Values

### OPENTRAC_RAINFALL_HISTORY

    public static final int OPENTRAC_RAINFALL_HISTORY

See Also:
  Constant Field Values

### OPENTRAC_RIVERFLOW_GAUGE

    public static final int OPENTRAC_RIVERFLOW_GAUGE

See Also:
  Constant Field Values

### OPENTRAC_STORM_REPORT

    public static final int OPENTRAC_STORM_REPORT

See Also:
  Constant Field Values

### OPENTRAC_SHAPE

    public static final int OPENTRAC_SHAPE

See Also:
  Constant Field Values

### OPENTRAC_EMERGENCY

    public static final int OPENTRAC_EMERGENCY

See Also:
  Constant Field Values

### OPENTRAC_ATTENTION

    public static final int OPENTRAC_ATTENTION

See Also:
  Constant Field Values

### OPENTRAC_HAZMAT_INVENTORY

    public static final int OPENTRAC_HAZMAT_INVENTORY

See Also:
  Constant Field Values

### OPENTRAC_ELECTRIC_POTENTIAL

    public static final int OPENTRAC_ELECTRIC_POTENTIAL

See Also:
  Constant Field Values

### OPENTRAC_ELECTRIC_CURRENT

    public static final int OPENTRAC_ELECTRIC_CURRENT

See Also:
  Constant Field Values

### OPENTRAC_POWER

    public static final int OPENTRAC_POWER

See Also:
  Constant Field Values

### OPENTRAC_TEMPERATURE

    public static final int OPENTRAC_TEMPERATURE

See Also:
  Constant Field Values

### OPENTRAC_DISTANCE

    public static final int OPENTRAC_DISTANCE

See Also:
  Constant Field Values

### OPENTRAC_TIME

    public static final int OPENTRAC_TIME

See Also:
  Constant Field Values

### OPENTRAC_VELOCITY

    public static final int OPENTRAC_VELOCITY

See Also:
  Constant Field Values

### OPENTRAC_VOLUME

    public static final int OPENTRAC_VOLUME

See Also:
  Constant Field Values

### OPENTRAC_MASS

    public static final int OPENTRAC_MASS

See Also:
  Constant Field Values

### OPENTRAC_DATA_RATE

    public static final int OPENTRAC_DATA_RATE

See Also:
  Constant Field Values

### OPENTRAC_DATA_STORAGE

    public static final int OPENTRAC_DATA_STORAGE

See Also:
  Constant Field Values

### OPENTRAC_PLANE_ANGLE

    public static final int OPENTRAC_PLANE_ANGLE

See Also:
  Constant Field Values

### OPENTRAC_ANGULAR_VELOCITY

    public static final int OPENTRAC_ANGULAR_VELOCITY

See Also:
  Constant Field Values

### OPENTRAC_AREA

    public static final int OPENTRAC_AREA

See Also:
  Constant Field Values

### OPENTRAC_ENERGY

    public static final int OPENTRAC_ENERGY

See Also:
  Constant Field Values

### OPENTRAC_FORCE

    public static final int OPENTRAC_FORCE

See Also:
  Constant Field Values

### OPENTRAC_PRESSURE

    public static final int OPENTRAC_PRESSURE

See Also:
  Constant Field Values

### OPENTRAC_FREQUENCY

    public static final int OPENTRAC_FREQUENCY

See Also:
  Constant Field Values

### OPENTRAC_ACCELERATION

    public static final int OPENTRAC_ACCELERATION

See Also:
  Constant Field Values

### OPENTRAC_SPECIFIC_ENERGY

    public static final int OPENTRAC_SPECIFIC_ENERGY

See Also:
  Constant Field Values

### OPENTRAC_LUMINOUS_FLUX

    public static final int OPENTRAC_LUMINOUS_FLUX

See Also:
  Constant Field Values

### OPENTRAC_FLOW_RATE

    public static final int OPENTRAC_FLOW_RATE

See Also:
  Constant Field Values

### OPENTRAC_VISCOSITY

    public static final int OPENTRAC_VISCOSITY

See Also:
  Constant Field Values

### OPENTRAC_MASS_DENSITY

    public static final int OPENTRAC_MASS_DENSITY

See Also:
  Constant Field Values

### OPENTRAC_ANGULAR_ACCELERATION

    public static final int OPENTRAC_ANGULAR_ACCELERATION

See Also:
  Constant Field Values

### OPENTRAC_ELECTRIC_CHARGE

    public static final int OPENTRAC_ELECTRIC_CHARGE

See Also:
  Constant Field Values

### OPENTRAC_CAPACITANCE

    public static final int OPENTRAC_CAPACITANCE

See Also:
  Constant Field Values

### OPENTRAC_CONDUCTANCE

    public static final int OPENTRAC_CONDUCTANCE

See Also:
  Constant Field Values

### OPENTRAC_QUANTITY

    public static final int OPENTRAC_QUANTITY

See Also:
  Constant Field Values

### OPENTRAC_NULL

    public static final int OPENTRAC_NULL

See Also:
  Constant Field Values

### NETWORKTYPE_VHF

    public static final byte NETWORKTYPE_VHF

  Network is over RF in the VHF bands.

  See Also:
    Constant Field Values

### NETWORKTYPE_APRSIS

    public static final byte NETWORKTYPE_APRSIS

  Network is tunneled through the Internet.

  See Also:
    Constant Field Values

### NETWORKTYPE_UHF

    public static final byte NETWORKTYPE_UHF

  Network is over RF in the UHF bands.

  See Also:
    Constant Field Values

### NETWORKTYPE_HF

    public static final byte NETWORKTYPE_HF

  Network is over RF in the HF (short-wave) bands.

  See Also:
    Constant Field Values

### MAX_NETWORKTYPE

    public static final byte MAX_NETWORKTYPE

See Also:
  Constant Field Values

Method Detail

### getName

    public static java.lang.String getName(int type)

  Get the localized String naming the OpenTRAC element type specified.

  Parameters:
    `type` - the numeric code for the OpenTRAC element type
  Returns:
    the localized type name String, or the empty string if not a standard type

### getNetworkTypeName

    public static java.lang.String getNetworkTypeName(byte networkId)

  Return the localized network type name for the network type code provided.

  Parameters:
    `networkId` - network type code
  Returns:
    name String
  See Also:
    `NETWORKTYPE_APRSIS`, `NETWORKTYPE_HF`, `NETWORKTYPE_UHF`, `NETWORKTYPE_VHF`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD